Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jprocessunit
Class WaitEvent

    java.lang.Object
      org.jprocessunit.WaitEvent

All Implemented Interfaces:
  ProcessEvent

Direct Known Subclasses:
  DatabaseWaitEvent, DomainLogWaitEvent, FileWaitEvent, ProcessStateWaitEvent, ReturnProcessWaitEvent, TaskWaitEvent

    public abstract class WaitEvent

extends java.lang.Object
implements ProcessEvent

Class that should be extended by all specific WaitEvent's. WaitEvent's are test events that wait for the process being tested to so something. This method also implements the unerlying "waiting" functionality.

Author:
  Reza Shafii

Constructor Summary
`WaitEvent()`

Method Summary
`void` | `assertEvent()` Loops for a maximum of timeOutValue and every pollingInterval checks to see if the wait condition (overriden by the subclass through the waitConditionSatisfied method) is satisfied.
`void` | `setPollingInterval(long pollingInterval)`
`void` | `setTimeOutValue(long timeOutValue)`
`abstract boolean` | `waitConditionSatisfied()` Method should be overriden by all subclasses (all specific wait events).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WaitEvent

    public WaitEvent()

Method Detail

### setPollingInterval

    public void setPollingInterval(long pollingInterval)

  Parameters:
    `pollingInterval` - Number of milliseconds that the thread waits before checking again to see if the wait condition has been satisfied.

### setTimeOutValue

    public void setTimeOutValue(long timeOutValue)

  Parameters:
    `timeOutValue` - Number of milliseconds that the thread should wait for the condition to be satisfied before giving up and declaring the test condition to be a failure.

### assertEvent

    public void assertEvent()

  Loops for a maximum of timeOutValue and every pollingInterval checks to see if the wait condition (overriden by the subclass through the waitConditionSatisfied method) is satisfied.

  Specified by:
    `assertEvent` in interface `ProcessEvent`

### waitConditionSatisfied

    public abstract boolean waitConditionSatisfied()

  Method should be overriden by all subclasses (all specific wait events).

  Returns:
    true if the wait condition was satified and false otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

JProcessUnit API